summaryrefslogtreecommitdiff
path: root/.azure-pipelines/commands/i.sh
diff options
context:
space:
mode:
authorMatt Clay <matt@mystile.com>2023-02-28 13:21:11 -0800
committerMatt Clay <matt@mystile.com>2023-03-14 17:47:58 -0700
commit4461de15deed01cf05486027ac1cf250c51e3dd5 (patch)
treeec14143392d3cb363c7e4f06addc3eb6a468aee4 /.azure-pipelines/commands/i.sh
parentbea9a2acf72f87661660a0d46c8554777aa02978 (diff)
downloadansible-4461de15deed01cf05486027ac1cf250c51e3dd5.tar.gz
[stable-2.14] Relocate the AZP entry point scripts (#80114)
Scripts previously under `test/utils/shippable/` are now under `.azure-pipelines/commands/` instead. (cherry picked from commit f47bc03599eedc48753d2cd5e1bea177f35e6133) Co-authored-by: Matt Clay <matt@mystile.com>
Diffstat (limited to '.azure-pipelines/commands/i.sh')
-rwxr-xr-x.azure-pipelines/commands/i.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/.azure-pipelines/commands/i.sh b/.azure-pipelines/commands/i.sh
new file mode 100755
index 0000000000..2b3eed038b
--- /dev/null
+++ b/.azure-pipelines/commands/i.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+# Temporary script to support side-by-side testing for incidental code coverage.
+# Once collection migration has been completed the incidental tests can be combined with the regular tests.
+
+set -o pipefail -eux
+
+declare -a args
+IFS='/:' read -ra args <<< "$1"
+
+script="${args[1]}"
+
+IFS='/' test="${args[*]:1}"
+
+".azure-pipelines/commands/incidental/${script}.sh" "${test}"